#ifndef   LWT_BASIC_HEADER
#define   LWT_BASIC_HEADER

#ifdef __cplusplus
extern "C" {
#endif


typedef void(*lwt_func)(void*, void*);
int lwt_init();
void lwt_destroy();
int lwt_run(lwt_func, void*, void*);


#ifdef __cplusplus
} // extern "C"
#endif

#endif /* LWT_BASIC_HEADER */
